<template>
  <slot
    :settings="settings"
    :has-settings="true"
  />
  <app-hubspot-settings-drawer v-if="openSettingsDrawer" v-model="openSettingsDrawer" :integration="integration" />
</template>

<script setup lang="ts">
import AppHubspotSettingsDrawer from '@/integrations/hubspot/components/hubspot-settings-drawer.vue';
import { defineProps, ref } from 'vue';

defineProps({
  integration: {
    type: Object,
    default: () => {
    },
  },
});

const openSettingsDrawer = ref<boolean>(false);

const settings = () => {
  openSettingsDrawer.value = true;
};

</script>
<script lang="ts">

export default {
  name: 'HubspotSettings',
};
</script>

<style scoped lang="scss">

</style>
